## org.apache.commons.math.ode.nonstiff
Class ClassicalRungeKuttaIntegrator

    java.lang.Object
      org.apache.commons.math.ode.AbstractIntegrator
          org.apache.commons.math.ode.nonstiff.RungeKuttaIntegrator
              org.apache.commons.math.ode.nonstiff.ClassicalRungeKuttaIntegrator

All Implemented Interfaces:
  FirstOrderIntegrator, ODEIntegrator

    public class ClassicalRungeKuttaIntegrator

extends RungeKuttaIntegrator

This class implements the classical fourth order Runge-Kutta integrator for Ordinary Differential Equations (it is the most often used Runge-Kutta method).

This method is an explicit Runge-Kutta method, its Butcher-array is the following one :

        0  |  0    0    0    0
       1/2 | 1/2   0    0    0
       1/2 |  0   1/2   0    0
        1  |  0    0    1    0
           |--------------------
           | 1/6  1/3  1/3  1/6

Since:
  1.2
Version:
  $Revision: 810196 $ $Date: 2009-09-01 21:47:46 +0200 (mar. 01 sept. 2009) $
See Also:
  `EulerIntegrator`, `GillIntegrator`, `MidpointIntegrator`, `ThreeEighthesIntegrator`

Field Summary
`private static double[][]` `STATIC_A` Internal weights Butcher array.
`private static double[]` `STATIC_B` Propagation weights Butcher array.
`private static double[]` `STATIC_C` Time steps Butcher array.

Fields inherited from class org.apache.commons.math.ode.AbstractIntegrator
`isLastStep, resetOccurred, stepHandlers, stepSize, stepStart`

Constructor Summary
`ClassicalRungeKuttaIntegrator(double step)` Simple constructor.

Method Summary

Methods inherited from class org.apache.commons.math.ode.nonstiff.RungeKuttaIntegrator
`integrate`

Methods inherited from class org.apache.commons.math.ode.AbstractIntegrator
`acceptStep, addEndTimeChecker, addEventHandler, addStepHandler, clearEventHandlers, clearStepHandlers, computeDerivatives, getCurrentSignedStepsize, getCurrentStepStart, getEvaluations, getEventHandlers, getMaxEvaluations, getName, getStepHandlers, requiresDenseOutput, resetEvaluations, sanityChecks, setEquations, setMaxEvaluations, setStateInitialized`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATIC_C

    private static final double[] STATIC_C

  Time steps Butcher array.

### STATIC_A

    private static final double[][] STATIC_A

  Internal weights Butcher array.

### STATIC_B

    private static final double[] STATIC_B

  Propagation weights Butcher array.

Constructor Detail

### ClassicalRungeKuttaIntegrator

    public ClassicalRungeKuttaIntegrator(double step)

  Simple constructor. Build a fourth-order Runge-Kutta integrator with the given step.

  Parameters:
    `step` - integration step

Copyright (c) 2003-2013 Apache Software Foundation